if (!RedactorPlugins) var RedactorPlugins = {};



RedactorPlugins.smiles = {
	init: function()
	{
		var smil = $.ajax({
			url: '/typograph/getSmiles',
			async: false
		}).responseText;
		var smiles = JSON.parse(smil).smiles;
		
		var $dropdown = $('<div class="redactor_dropdown redactor_dropdown_box_smiles" style="display: none; width: 243px;">');
		
		this.picSmiles($dropdown, name, smiles);
		$(this.$toolbar).append($dropdown);
		
		var btn = this.buttonAdd('smiles', this.opts.curLang['smiles'], $.proxy(function(btnName, $button, btnObject, e)
		{
			this.dropdownShow(e, btnName);
			
		}, this));
		
		btn.data('dropdown', $dropdown);
		
		
	},
	picSmiles: function($dropdown, name, smiles)
	{
		var rule = 'color';
		
		var _self = this;
		var onssml = function(e)
		{
			e.preventDefault();
			
			var $this = $(this);
			_self.picSet($this.attr('src'), $this.attr('title'));
			
		}
		
		$.each(smiles, function(i, smi){
			var $ssml = $('<img title="' + i + '" src="'+smi+'" style="display:inline">');
			$dropdown.append($ssml);
			$ssml.on('click', onssml);
		});
		
	},
	picSet: function(src, alt)
	{
		this.bufferSet();
		this.$editor.focus();
		
		smile = '<img src="'+src+'" title="'+alt+'"style="display:inline"/>';
		this.insertHtmlAdvanced(smile);
		this.sync();
	}
}