if (!RedactorPlugins) var RedactorPlugins = {};

RedactorPlugins.facebook = {
	
	videoInsert: function ()
	{
		var reUrlYoutube = /https?:\/\/(?:[0-9A-Z-]+\.)?(?:youtu\.be\/|youtube\.com\S*[^\w\-\s])([\w\-]{11})(?=[^\w\-]|$)(?![?=&+%\w.-]*(?:['"][^<>]*>|<\/a>))[?=&+%\w.-]*/ig;
		var reUrlVimeo = /https?:\/\/(www\.)?vimeo.com\/(\d+)($|\/)/;
		var reUrlFacebook = /^(?:(?:https|http)?:\/\/)?(?:www\.)?(?:facebook\.com(?:\/[^\/]+\/videos\/|\/video\.php\?v=))([0-9]+)(?:.+)?$/;
		
		var data = $('#redactor_insert_video_area').val();
		data = this.cleanStripTags(data);
		var iframeStart = '<iframe width="500" height="281" src="',
		iframeEnd = '" frameborder="0" allowfullscreen></iframe>';
		
		if (data.match(reUrlYoutube))
		{
			data = data.replace(reUrlYoutube, iframeStart + '//www.youtube.com/embed/$1' + iframeEnd);
		}
		else if (data.match(reUrlVimeo))
		{
			data = data.replace(reUrlVimeo, iframeStart + '//player.vimeo.com/video/$2' + iframeEnd);
		}
		else if (data.match(reUrlFacebook))
		{
			data = data.replace(reUrlFacebook, iframeStart + 'https://www.facebook.com/video/embed?video_id=$1' + iframeEnd);
		}
		
		this.selectionRestore();
		
		var current = this.getBlock() || this.getCurrent();
		
		if (current) $(current).after(data)
		else this.insertHtmlAdvanced(data, false);
		
		this.sync();
		this.modalClose();
	}
};